diff --git a/net/incidenceeditor/pkg-plist b/net/incidenceeditor/pkg-plist
index 49d8faaead80..b7e01e6c646f 100644
--- a/net/incidenceeditor/pkg-plist
+++ b/net/incidenceeditor/pkg-plist
@@ -1,75 +1,75 @@
-include/KPim5/IncidenceEditor/IncidenceEditor/EditorItemManager
-include/KPim5/IncidenceEditor/IncidenceEditor/GroupwareUiDelegate
-include/KPim5/IncidenceEditor/IncidenceEditor/IncidenceDefaults
-include/KPim5/IncidenceEditor/IncidenceEditor/IncidenceDialog
-include/KPim5/IncidenceEditor/IncidenceEditor/IncidenceDialogFactory
-include/KPim5/IncidenceEditor/IncidenceEditor/IncidenceEditor-Ng
-include/KPim5/IncidenceEditor/IncidenceEditor/IncidenceEditorSettings
-include/KPim5/IncidenceEditor/IncidenceEditor/IndividualMailComponentFactory
-include/KPim5/IncidenceEditor/incidenceeditor/editoritemmanager.h
-include/KPim5/IncidenceEditor/incidenceeditor/globalsettings_incidenceeditor.h
-include/KPim5/IncidenceEditor/incidenceeditor/groupwareuidelegate.h
-include/KPim5/IncidenceEditor/incidenceeditor/incidencedefaults.h
-include/KPim5/IncidenceEditor/incidenceeditor/incidencedialog.h
-include/KPim5/IncidenceEditor/incidenceeditor/incidencedialogfactory.h
-include/KPim5/IncidenceEditor/incidenceeditor/incidenceeditor-ng.h
-include/KPim5/IncidenceEditor/incidenceeditor/incidenceeditor_export.h
-include/KPim5/IncidenceEditor/incidenceeditor/incidenceeditorsettings.h
-include/KPim5/IncidenceEditor/incidenceeditor/individualmailcomponentfactory.h
-include/KPim5/IncidenceEditor/incidenceeditor_version.h
-lib/cmake/KPim5IncidenceEditor/KPim5IncidenceEditorConfig.cmake
-lib/cmake/KPim5IncidenceEditor/KPim5IncidenceEditorConfigVersion.cmake
-lib/cmake/KPim5IncidenceEditor/KPim5IncidenceEditorTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5IncidenceEditor/KPim5IncidenceEditorTargets.cmake
-lib/libKPim5IncidenceEditor.so
-lib/libKPim5IncidenceEditor.so.5
-lib/libKPim5IncidenceEditor.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_IncidenceEditor.pri
-share/locale/ar/LC_MESSAGES/libincidenceeditors.mo
-share/locale/bg/LC_MESSAGES/libincidenceeditors.mo
-share/locale/bs/LC_MESSAGES/libincidenceeditors.mo
-share/locale/ca/LC_MESSAGES/libincidenceeditors.mo
-share/locale/ca@valencia/LC_MESSAGES/libincidenceeditors.mo
-share/locale/cs/LC_MESSAGES/libincidenceeditors.mo
-share/locale/da/LC_MESSAGES/libincidenceeditors.mo
-share/locale/de/LC_MESSAGES/libincidenceeditors.mo
-share/locale/el/LC_MESSAGES/libincidenceeditors.mo
-share/locale/en_GB/LC_MESSAGES/libincidenceeditors.mo
-share/locale/eo/LC_MESSAGES/libincidenceeditors.mo
-share/locale/es/LC_MESSAGES/libincidenceeditors.mo
-share/locale/et/LC_MESSAGES/libincidenceeditors.mo
-share/locale/eu/LC_MESSAGES/libincidenceeditors.mo
-share/locale/fi/LC_MESSAGES/libincidenceeditors.mo
-share/locale/fr/LC_MESSAGES/libincidenceeditors.mo
-share/locale/ga/LC_MESSAGES/libincidenceeditors.mo
-share/locale/gl/LC_MESSAGES/libincidenceeditors.mo
-share/locale/hu/LC_MESSAGES/libincidenceeditors.mo
-share/locale/ia/LC_MESSAGES/libincidenceeditors.mo
-share/locale/it/LC_MESSAGES/libincidenceeditors.mo
-share/locale/ja/LC_MESSAGES/libincidenceeditors.mo
-share/locale/ka/LC_MESSAGES/libincidenceeditors.mo
-share/locale/kk/LC_MESSAGES/libincidenceeditors.mo
-share/locale/ko/LC_MESSAGES/libincidenceeditors.mo
-share/locale/lt/LC_MESSAGES/libincidenceeditors.mo
-share/locale/mai/LC_MESSAGES/libincidenceeditors.mo
-share/locale/mr/LC_MESSAGES/libincidenceeditors.mo
-share/locale/nb/LC_MESSAGES/libincidenceeditors.mo
-share/locale/nds/LC_MESSAGES/libincidenceeditors.mo
-share/locale/nl/LC_MESSAGES/libincidenceeditors.mo
-share/locale/pa/LC_MESSAGES/libincidenceeditors.mo
-share/locale/pl/LC_MESSAGES/libincidenceeditors.mo
-share/locale/pt/LC_MESSAGES/libincidenceeditors.mo
-share/locale/pt_BR/LC_MESSAGES/libincidenceeditors.mo
-share/locale/ro/LC_MESSAGES/libincidenceeditors.mo
-share/locale/ru/LC_MESSAGES/libincidenceeditors.mo
-share/locale/sk/LC_MESSAGES/libincidenceeditors.mo
-share/locale/sl/LC_MESSAGES/libincidenceeditors.mo
-share/locale/sv/LC_MESSAGES/libincidenceeditors.mo
-share/locale/ta/LC_MESSAGES/libincidenceeditors.mo
-share/locale/tr/LC_MESSAGES/libincidenceeditors.mo
-share/locale/ug/LC_MESSAGES/libincidenceeditors.mo
-share/locale/uk/LC_MESSAGES/libincidenceeditors.mo
-share/locale/zh_CN/LC_MESSAGES/libincidenceeditors.mo
-share/locale/zh_TW/LC_MESSAGES/libincidenceeditors.mo
-share/qlogging-categories5/incidenceeditor.categories
-share/qlogging-categories5/incidenceeditor.renamecategories
+include/KPim6/IncidenceEditor/IncidenceEditor/EditorItemManager
+include/KPim6/IncidenceEditor/IncidenceEditor/GroupwareUiDelegate
+include/KPim6/IncidenceEditor/IncidenceEditor/IncidenceDefaults
+include/KPim6/IncidenceEditor/IncidenceEditor/IncidenceDialog
+include/KPim6/IncidenceEditor/IncidenceEditor/IncidenceDialogFactory
+include/KPim6/IncidenceEditor/IncidenceEditor/IncidenceEditor-Ng
+include/KPim6/IncidenceEditor/IncidenceEditor/IncidenceEditorSettings
+include/KPim6/IncidenceEditor/IncidenceEditor/IndividualMailComponentFactory
+include/KPim6/IncidenceEditor/incidenceeditor/editoritemmanager.h
+include/KPim6/IncidenceEditor/incidenceeditor/globalsettings_incidenceeditor.h
+include/KPim6/IncidenceEditor/incidenceeditor/groupwareuidelegate.h
+include/KPim6/IncidenceEditor/incidenceeditor/incidencedefaults.h
+include/KPim6/IncidenceEditor/incidenceeditor/incidencedialog.h
+include/KPim6/IncidenceEditor/incidenceeditor/incidencedialogfactory.h
+include/KPim6/IncidenceEditor/incidenceeditor/incidenceeditor-ng.h
+include/KPim6/IncidenceEditor/incidenceeditor/incidenceeditor_export.h
+include/KPim6/IncidenceEditor/incidenceeditor/incidenceeditorsettings.h
+include/KPim6/IncidenceEditor/incidenceeditor/individualmailcomponentfactory.h
+include/KPim6/IncidenceEditor/incidenceeditor_version.h
+lib/cmake/KPim6IncidenceEditor/KPim6IncidenceEditorConfig.cmake
+lib/cmake/KPim6IncidenceEditor/KPim6IncidenceEditorConfigVersion.cmake
+lib/cmake/KPim6IncidenceEditor/KPim6IncidenceEditorTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6IncidenceEditor/KPim6IncidenceEditorTargets.cmake
+lib/libKPim6IncidenceEditor.so
+lib/libKPim6IncidenceEditor.so.6
+lib/libKPim6IncidenceEditor.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/locale/ar/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/ast/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/bg/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/bs/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/ca/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/ca@valencia/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/cs/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/da/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/de/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/el/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/en_GB/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/eo/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/es/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/et/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/eu/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/fi/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/fr/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/ga/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/gl/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/hu/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/ia/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/it/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/ja/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/ka/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/kk/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/ko/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/lt/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/mai/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/mr/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/nb/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/nds/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/nl/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/pa/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/pl/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/pt/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/pt_BR/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/ro/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/ru/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/sk/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/sl/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/sv/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/ta/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/tr/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/ug/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/uk/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/zh_CN/LC_MESSAGES/libincidenceeditors6.mo
+share/locale/zh_TW/LC_MESSAGES/libincidenceeditors6.mo
+share/qlogging-categories6/incidenceeditor.categories
+share/qlogging-categories6/incidenceeditor.renamecategories
diff --git a/net/kcalutils/Makefile b/net/kcalutils/Makefile
index 6bacb08fad1d..51129298e6e9 100644
--- a/net/kcalutils/Makefile
+++ b/net/kcalutils/Makefile
@@ -8,14 +8,12 @@ WWW=		https://www.kde.org/
 
 LICENSE=	LGPL21
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 qt:5 tar:xz
-USE_KDE=	codecs config coreaddons i18n iconthemes kdelibs4support \
-		widgetsaddons \
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
+USE_KDE=	codecs config coreaddons i18n iconthemes widgetsaddons \
 		ecm:build
 # pim components
 USE_KDE+=	calendarcore identitymanagement pimtextedit
-USE_QT=		core gui widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/net/kcalutils/distinfo b/net/kcalutils/distinfo
index 8432aeae97cf..4b219557c423 100644
--- a/net/kcalutils/distinfo
+++ b/net/kcalutils/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889470
-SHA256 (KDE/release-service/23.08.5/kcalutils-23.08.5.tar.xz) = 9db6c7ddfaa94de33dce5caa2fd5a8a935a33774bddfc96706ed93d03f846a3d
-SIZE (KDE/release-service/23.08.5/kcalutils-23.08.5.tar.xz) = 353696
+TIMESTAMP = 1734460302
+SHA256 (KDE/release-service/24.12.0/kcalutils-24.12.0.tar.xz) = 9cef8de0d5e936ee7242831a86fdb9a4a9aa4ba56011ff015047c8e0b4bb71d5
+SIZE (KDE/release-service/24.12.0/kcalutils-24.12.0.tar.xz) = 355396
diff --git a/net/kcalutils/pkg-plist b/net/kcalutils/pkg-plist
index cb4cd1bf0d8a..1e4a94ebe367 100644
--- a/net/kcalutils/pkg-plist
+++ b/net/kcalutils/pkg-plist
@@ -1,79 +1,80 @@
-include/KPim5/KCalUtils/KCalUtils/DndFactory
-include/KPim5/KCalUtils/KCalUtils/ICalDrag
-include/KPim5/KCalUtils/KCalUtils/IncidenceFormatter
-include/KPim5/KCalUtils/KCalUtils/RecurrenceActions
-include/KPim5/KCalUtils/KCalUtils/Stringify
-include/KPim5/KCalUtils/KCalUtils/VCalDrag
-include/KPim5/KCalUtils/kcalutils/dndfactory.h
-include/KPim5/KCalUtils/kcalutils/icaldrag.h
-include/KPim5/KCalUtils/kcalutils/incidenceformatter.h
-include/KPim5/KCalUtils/kcalutils/kcalutils_export.h
-include/KPim5/KCalUtils/kcalutils/recurrenceactions.h
-include/KPim5/KCalUtils/kcalutils/stringify.h
-include/KPim5/KCalUtils/kcalutils/vcaldrag.h
-include/KPim5/KCalUtils/kcalutils_version.h
-lib/cmake/KPim5CalendarUtils/KPim5CalendarUtilsConfig.cmake
-lib/cmake/KPim5CalendarUtils/KPim5CalendarUtilsConfigVersion.cmake
-lib/cmake/KPim5CalendarUtils/KPim5CalendarUtilsTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5CalendarUtils/KPim5CalendarUtilsTargets.cmake
-lib/grantlee/%%GRANTLEE_VERSION_SHORT%%/kcalendar_grantlee_plugin.so
-lib/libKPim5CalendarUtils.so
-lib/libKPim5CalendarUtils.so.5
-lib/libKPim5CalendarUtils.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_KCalUtils.pri
-share/locale/ar/LC_MESSAGES/libkcalutils5.mo
-share/locale/az/LC_MESSAGES/libkcalutils5.mo
-share/locale/bg/LC_MESSAGES/libkcalutils5.mo
-share/locale/bs/LC_MESSAGES/libkcalutils5.mo
-share/locale/ca/LC_MESSAGES/libkcalutils5.mo
-share/locale/ca@valencia/LC_MESSAGES/libkcalutils5.mo
-share/locale/cs/LC_MESSAGES/libkcalutils5.mo
-share/locale/da/LC_MESSAGES/libkcalutils5.mo
-share/locale/de/LC_MESSAGES/libkcalutils5.mo
-share/locale/el/LC_MESSAGES/libkcalutils5.mo
-share/locale/en_GB/LC_MESSAGES/libkcalutils5.mo
-share/locale/es/LC_MESSAGES/libkcalutils5.mo
-share/locale/et/LC_MESSAGES/libkcalutils5.mo
-share/locale/eu/LC_MESSAGES/libkcalutils5.mo
-share/locale/fi/LC_MESSAGES/libkcalutils5.mo
-share/locale/fr/LC_MESSAGES/libkcalutils5.mo
-share/locale/ga/LC_MESSAGES/libkcalutils5.mo
-share/locale/gl/LC_MESSAGES/libkcalutils5.mo
-share/locale/hr/LC_MESSAGES/libkcalutils5.mo
-share/locale/hu/LC_MESSAGES/libkcalutils5.mo
-share/locale/ia/LC_MESSAGES/libkcalutils5.mo
-share/locale/it/LC_MESSAGES/libkcalutils5.mo
-share/locale/ja/LC_MESSAGES/libkcalutils5.mo
-share/locale/ka/LC_MESSAGES/libkcalutils5.mo
-share/locale/kk/LC_MESSAGES/libkcalutils5.mo
-share/locale/km/LC_MESSAGES/libkcalutils5.mo
-share/locale/ko/LC_MESSAGES/libkcalutils5.mo
-share/locale/lt/LC_MESSAGES/libkcalutils5.mo
-share/locale/mai/LC_MESSAGES/libkcalutils5.mo
-share/locale/mr/LC_MESSAGES/libkcalutils5.mo
-share/locale/nb/LC_MESSAGES/libkcalutils5.mo
-share/locale/nds/LC_MESSAGES/libkcalutils5.mo
-share/locale/nl/LC_MESSAGES/libkcalutils5.mo
-share/locale/nn/LC_MESSAGES/libkcalutils5.mo
-share/locale/pa/LC_MESSAGES/libkcalutils5.mo
-share/locale/pl/LC_MESSAGES/libkcalutils5.mo
-share/locale/pt/LC_MESSAGES/libkcalutils5.mo
-share/locale/pt_BR/LC_MESSAGES/libkcalutils5.mo
-share/locale/ro/LC_MESSAGES/libkcalutils5.mo
-share/locale/ru/LC_MESSAGES/libkcalutils5.mo
-share/locale/se/LC_MESSAGES/libkcalutils5.mo
-share/locale/sk/LC_MESSAGES/libkcalutils5.mo
-share/locale/sl/LC_MESSAGES/libkcalutils5.mo
-share/locale/sr/LC_MESSAGES/libkcalutils5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libkcalutils5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libkcalutils5.mo
-share/locale/sr@latin/LC_MESSAGES/libkcalutils5.mo
-share/locale/sv/LC_MESSAGES/libkcalutils5.mo
-share/locale/ta/LC_MESSAGES/libkcalutils5.mo
-share/locale/tr/LC_MESSAGES/libkcalutils5.mo
-share/locale/ug/LC_MESSAGES/libkcalutils5.mo
-share/locale/uk/LC_MESSAGES/libkcalutils5.mo
-share/locale/zh_CN/LC_MESSAGES/libkcalutils5.mo
-share/locale/zh_TW/LC_MESSAGES/libkcalutils5.mo
-share/qlogging-categories5/kcalutils.categories
-share/qlogging-categories5/kcalutils.renamecategories
+include/KPim6/KCalUtils/KCalUtils/DndFactory
+include/KPim6/KCalUtils/KCalUtils/ICalDrag
+include/KPim6/KCalUtils/KCalUtils/IncidenceFormatter
+include/KPim6/KCalUtils/KCalUtils/RecurrenceActions
+include/KPim6/KCalUtils/KCalUtils/Stringify
+include/KPim6/KCalUtils/KCalUtils/VCalDrag
+include/KPim6/KCalUtils/kcalutils/dndfactory.h
+include/KPim6/KCalUtils/kcalutils/icaldrag.h
+include/KPim6/KCalUtils/kcalutils/incidenceformatter.h
+include/KPim6/KCalUtils/kcalutils/kcalutils_export.h
+include/KPim6/KCalUtils/kcalutils/recurrenceactions.h
+include/KPim6/KCalUtils/kcalutils/stringify.h
+include/KPim6/KCalUtils/kcalutils/vcaldrag.h
+include/KPim6/KCalUtils/kcalutils_version.h
+lib/cmake/KPim6CalendarUtils/KPim6CalendarUtilsConfig.cmake
+lib/cmake/KPim6CalendarUtils/KPim6CalendarUtilsConfigVersion.cmake
+lib/cmake/KPim6CalendarUtils/KPim6CalendarUtilsTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6CalendarUtils/KPim6CalendarUtilsTargets.cmake
+lib/libKPim6CalendarUtils.so
+lib/libKPim6CalendarUtils.so.6
+lib/libKPim6CalendarUtils.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+%%QT_PLUGINDIR%%/kf6/ktexttemplate/kcalendar_grantlee_plugin.so
+share/locale/ar/LC_MESSAGES/libkcalutils6.mo
+share/locale/ast/LC_MESSAGES/libkcalutils6.mo
+share/locale/az/LC_MESSAGES/libkcalutils6.mo
+share/locale/bg/LC_MESSAGES/libkcalutils6.mo
+share/locale/bs/LC_MESSAGES/libkcalutils6.mo
+share/locale/ca/LC_MESSAGES/libkcalutils6.mo
+share/locale/ca@valencia/LC_MESSAGES/libkcalutils6.mo
+share/locale/cs/LC_MESSAGES/libkcalutils6.mo
+share/locale/da/LC_MESSAGES/libkcalutils6.mo
+share/locale/de/LC_MESSAGES/libkcalutils6.mo
+share/locale/el/LC_MESSAGES/libkcalutils6.mo
+share/locale/en_GB/LC_MESSAGES/libkcalutils6.mo
+share/locale/eo/LC_MESSAGES/libkcalutils6.mo
+share/locale/es/LC_MESSAGES/libkcalutils6.mo
+share/locale/et/LC_MESSAGES/libkcalutils6.mo
+share/locale/eu/LC_MESSAGES/libkcalutils6.mo
+share/locale/fi/LC_MESSAGES/libkcalutils6.mo
+share/locale/fr/LC_MESSAGES/libkcalutils6.mo
+share/locale/ga/LC_MESSAGES/libkcalutils6.mo
+share/locale/gl/LC_MESSAGES/libkcalutils6.mo
+share/locale/hr/LC_MESSAGES/libkcalutils6.mo
+share/locale/hu/LC_MESSAGES/libkcalutils6.mo
+share/locale/ia/LC_MESSAGES/libkcalutils6.mo
+share/locale/it/LC_MESSAGES/libkcalutils6.mo
+share/locale/ja/LC_MESSAGES/libkcalutils6.mo
+share/locale/ka/LC_MESSAGES/libkcalutils6.mo
+share/locale/kk/LC_MESSAGES/libkcalutils6.mo
+share/locale/km/LC_MESSAGES/libkcalutils6.mo
+share/locale/ko/LC_MESSAGES/libkcalutils6.mo
+share/locale/lt/LC_MESSAGES/libkcalutils6.mo
+share/locale/mai/LC_MESSAGES/libkcalutils6.mo
+share/locale/mr/LC_MESSAGES/libkcalutils6.mo
+share/locale/nb/LC_MESSAGES/libkcalutils6.mo
+share/locale/nds/LC_MESSAGES/libkcalutils6.mo
+share/locale/nl/LC_MESSAGES/libkcalutils6.mo
+share/locale/nn/LC_MESSAGES/libkcalutils6.mo
+share/locale/pa/LC_MESSAGES/libkcalutils6.mo
+share/locale/pl/LC_MESSAGES/libkcalutils6.mo
+share/locale/pt/LC_MESSAGES/libkcalutils6.mo
+share/locale/pt_BR/LC_MESSAGES/libkcalutils6.mo
+share/locale/ro/LC_MESSAGES/libkcalutils6.mo
+share/locale/ru/LC_MESSAGES/libkcalutils6.mo
+share/locale/se/LC_MESSAGES/libkcalutils6.mo
+share/locale/sk/LC_MESSAGES/libkcalutils6.mo
+share/locale/sl/LC_MESSAGES/libkcalutils6.mo
+share/locale/sr/LC_MESSAGES/libkcalutils6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libkcalutils6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libkcalutils6.mo
+share/locale/sr@latin/LC_MESSAGES/libkcalutils6.mo
+share/locale/sv/LC_MESSAGES/libkcalutils6.mo
+share/locale/ta/LC_MESSAGES/libkcalutils6.mo
+share/locale/tr/LC_MESSAGES/libkcalutils6.mo
+share/locale/ug/LC_MESSAGES/libkcalutils6.mo
+share/locale/uk/LC_MESSAGES/libkcalutils6.mo
+share/locale/zh_CN/LC_MESSAGES/libkcalutils6.mo
+share/locale/zh_TW/LC_MESSAGES/libkcalutils6.mo
+share/qlogging-categories6/kcalutils.categories
+share/qlogging-categories6/kcalutils.renamecategories
diff --git a/net/kdenetwork-filesharing/Makefile b/net/kdenetwork-filesharing/Makefile
index 27276696e2f2..4c716416cc1b 100644
--- a/net/kdenetwork-filesharing/Makefile
+++ b/net/kdenetwork-filesharing/Makefile
@@ -1,19 +1,17 @@
 PORTNAME=	kdenetwork-filesharing
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	net kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE Filesharing via Samba
 
-BUILD_DEPENDS=	${LOCALBASE}/include/qcoro5/qcoro/qcoro.h:devel/qcoro@qt5
+BUILD_DEPENDS=	${LOCALBASE}/include/qcoro6/qcoro/qcoro.h:devel/qcoro@qt6
 
-USES=		cmake compiler:c++11-lang gettext-tools kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth completion config coreaddons doctools i18n jobwidgets \
-		kio service solid widgetsaddons windowsystem \
+USES=		cmake compiler:c++11-lang gettext-tools kde:6 qt:6 tar:xz xorg
+USE_KDE=	auth completion config coreaddons doctools i18n jobwidgets kio \
+		service solid widgetsaddons windowsystem \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network widgets \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/net/kdenetwork-filesharing/distinfo b/net/kdenetwork-filesharing/distinfo
index 47cc0770d237..42a672c576bc 100644
--- a/net/kdenetwork-filesharing/distinfo
+++ b/net/kdenetwork-filesharing/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889485
-SHA256 (KDE/release-service/23.08.5/kdenetwork-filesharing-23.08.5.tar.xz) = 3f856122780b8b42d275c30ab8e642fd375447046f9d525520c83d605b0878de
-SIZE (KDE/release-service/23.08.5/kdenetwork-filesharing-23.08.5.tar.xz) = 482676
+TIMESTAMP = 1734460304
+SHA256 (KDE/release-service/24.12.0/kdenetwork-filesharing-24.12.0.tar.xz) = 429e1fb15e988011bf8b91a59657585dfb1f95606e4f75f7300c3cbfa8372906
+SIZE (KDE/release-service/24.12.0/kdenetwork-filesharing-24.12.0.tar.xz) = 500780
diff --git a/net/kdenetwork-filesharing/pkg-plist b/net/kdenetwork-filesharing/pkg-plist
index 25036a810716..a7fa516a5d3a 100644
--- a/net/kdenetwork-filesharing/pkg-plist
+++ b/net/kdenetwork-filesharing/pkg-plist
@@ -1,9 +1,10 @@
-lib/libexec/kauth/authhelper
-%%QT_PLUGINDIR%%/kf5/propertiesdialog/SambaAcl.so
-%%QT_PLUGINDIR%%/kf5/propertiesdialog/sambausershareplugin.so
+lib/libexec/kf6/kauth/authhelper
+%%QT_PLUGINDIR%%/kf6/propertiesdialog/SambaAcl.so
+%%QT_PLUGINDIR%%/kf6/propertiesdialog/sambausershareplugin.so
 share/dbus-1/system-services/org.kde.filesharing.samba.service
 share/dbus-1/system.d/org.kde.filesharing.samba.conf
 share/locale/ar/LC_MESSAGES/kfileshare.mo
+share/locale/ast/LC_MESSAGES/kfileshare.mo
 share/locale/az/LC_MESSAGES/kfileshare.mo
 share/locale/be/LC_MESSAGES/kfileshare.mo
 share/locale/bg/LC_MESSAGES/kfileshare.mo
diff --git a/net/kdenetwork/Makefile b/net/kdenetwork/Makefile
index 5ef004042286..ce9d4678c21f 100644
--- a/net/kdenetwork/Makefile
+++ b/net/kdenetwork/Makefile
@@ -1,16 +1,15 @@
 PORTNAME=	kdenetwork
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	net kde
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE Network applications (meta port)
 
-USES=		kde:5 metaport qt:5
+USES=		kde:6 metaport qt:6
 USE_QT=		#
 
-OPTIONS_DEFINE=	FILESHARING KRDC KRFB KOPETE
-OPTIONS_DEFAULT=	${OPTIONS_DEFINE}
+OPTIONS_DEFINE=	FILESHARING KRDC KRFB
+OPTIONS_DEFAULT=	${OPTIONS_DEFINE:NKRDC}
 
 FILESHARING_DESC=	Network file sharing via Samba
 FILESHARING_RUN_DEPENDS=	kdenetwork-filesharing>=${KDE_APPLICATIONS_VERSION}:net/kdenetwork-filesharing
@@ -21,7 +20,4 @@ KRDC_RUN_DEPENDS=	krdc>=${KDE_APPLICATIONS_VERSION}:net/krdc
 KRFB_DESC=		Desktop Sharing (VNC server)
 KRFB_RUN_DEPENDS=	krfb>=${KDE_APPLICATIONS_VERSION}:net/krfb
 
-KOPETE_DESC=		Multi-protocol instant messenger
-KOPETE_RUN_DEPENDS=	kopete:net-im/kopete
-
 .include <bsd.port.mk>
diff --git a/net/kget/Makefile b/net/kget/Makefile
index c45774d5c10d..a9f862f98b30 100644
--- a/net/kget/Makefile
+++ b/net/kget/Makefile
@@ -1,33 +1,30 @@
 PORTNAME=	kget
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	net kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE download manager
 
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/concept_check.hpp:devel/boost-libs
-LIB_DEPENDS=	libKF5Torrent.so:net-p2p/libktorrent  \
+LIB_DEPENDS=	libKTorrent6.so:net-p2p/libktorrent  \
 		libassuan.so:security/libassuan \
 		libgcrypt.so:security/libgcrypt \
 		libgmp.so:math/gmp \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5
-
-USES=		cmake compiler:c++11-lang desktop-file-utils kde:5 qca qt:5 \
-		shebangfix sqlite tar:xz xorg
+		libqgpgmeqt6.so:security/gpgme-qt@qt6
 
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 qca \
+		qt:6 shebangfix sqlite tar:xz xorg
 USE_KDE=	archive auth bookmarks codecs completion config configwidgets \
-		coreaddons crash dbusaddons emoticons guiaddons i18n \
-		iconthemes itemmodels itemviews jobwidgets kcmutils \
-		kdelibs4support kio notifications notifyconfig parts service \
-		solid sonnet textwidgets unitconversion wallet widgetsaddons \
-		windowsystem xmlgui \
+		coreaddons crash dbusaddons guiaddons i18n iconthemes \
+		itemmodels itemviews jobwidgets kcmutils kio notifications \
+		notifyconfig parts service solid sonnet statusnotifieritem \
+		textwidgets unitconversion wallet widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport sql widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/net/kget/distinfo b/net/kget/distinfo
index 47dd622f3257..69661eb75e1f 100644
--- a/net/kget/distinfo
+++ b/net/kget/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889471
-SHA256 (KDE/release-service/23.08.5/kget-23.08.5.tar.xz) = 2eaa2b7bf0726ea7fcdf7fef5ce6798ca306107dd9724a061d823a8d2edbf38e
-SIZE (KDE/release-service/23.08.5/kget-23.08.5.tar.xz) = 5572688
+TIMESTAMP = 1734460306
+SHA256 (KDE/release-service/24.12.0/kget-24.12.0.tar.xz) = 55bd0f3ec4f28e47ccc6ec35350bfff6776f284e66aac265ccf8853e9bae54f2
+SIZE (KDE/release-service/24.12.0/kget-24.12.0.tar.xz) = 4913388
diff --git a/net/kget/pkg-plist b/net/kget/pkg-plist
index 8f77d28a6c05..4af9e9b2b449 100644
--- a/net/kget/pkg-plist
+++ b/net/kget/pkg-plist
@@ -1,7 +1,7 @@
 bin/kget
 lib/libkgetcore.so
-lib/libkgetcore.so.5
-lib/libkgetcore.so.5.0.0
+lib/libkgetcore.so.6
+lib/libkgetcore.so.6.0.0
 %%QT_PLUGINDIR%%/kget/kget_bittorrent.so
 %%QT_PLUGINDIR%%/kget/kget_checksumsearchfactory.so
 %%QT_PLUGINDIR%%/kget/kget_kio.so
@@ -27,11 +27,10 @@ share/icons/hicolor/48x48/apps/kget.png
 share/icons/hicolor/64x64/apps/kget.png
 %%DATADIR%%/pics/kget_splash.png
 share/kio/servicemenus/kget_download.desktop
-share/knotifications5/kget.notifyrc
-share/kservicetypes5/kget_plugin.desktop
-share/kxmlgui5/kget/kgetui.rc
+share/knotifications6/kget.notifyrc
 share/locale/af/LC_MESSAGES/kget.mo
 share/locale/ar/LC_MESSAGES/kget.mo
+share/locale/ast/LC_MESSAGES/kget.mo
 share/locale/be/LC_MESSAGES/kget.mo
 share/locale/bg/LC_MESSAGES/kget.mo
 share/locale/br/LC_MESSAGES/kget.mo
@@ -111,4 +110,4 @@ share/locale/zh_CN/LC_MESSAGES/kget.mo
 share/locale/zh_HK/LC_MESSAGES/kget.mo
 share/locale/zh_TW/LC_MESSAGES/kget.mo
 share/metainfo/org.kde.kget.appdata.xml
-share/qlogging-categories5/kget.categories
+share/qlogging-categories6/kget.categories
diff --git a/net/kidentitymanagement/Makefile b/net/kidentitymanagement/Makefile
index 61995b8a19e5..a63aa3fc1531 100644
--- a/net/kidentitymanagement/Makefile
+++ b/net/kidentitymanagement/Makefile
@@ -8,15 +8,14 @@ WWW=		https://www.kde.org/
 
 LICENSE=	LGPL21
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		emoticons i18n init itemmodels itemviews jobwidgets \
-		kdelibs4support kio service solid widgetsaddons windowsystem xmlgui \
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	auth codecs completion config configwidgets coreaddons i18n \
+		itemmodels itemviews jobwidgets kio kirigami-addons service \
+		solid widgetsaddons windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	pimtextedit
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/net/kidentitymanagement/distinfo b/net/kidentitymanagement/distinfo
index e4aed64e42fb..26d07dde9256 100644
--- a/net/kidentitymanagement/distinfo
+++ b/net/kidentitymanagement/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889487
-SHA256 (KDE/release-service/23.08.5/kidentitymanagement-23.08.5.tar.xz) = bcd7f7ef26a24b2d198a7739bdc8b4f3868d42e05355173fbc91a95220d77201
-SIZE (KDE/release-service/23.08.5/kidentitymanagement-23.08.5.tar.xz) = 163960
+TIMESTAMP = 1734460307
+SHA256 (KDE/release-service/24.12.0/kidentitymanagement-24.12.0.tar.xz) = 7bd3add4cdf1b0c8a99af076e4c98a41fb937375b909518d930a451a192b9217
+SIZE (KDE/release-service/24.12.0/kidentitymanagement-24.12.0.tar.xz) = 196792
